Change a couple of GFP_KERNEL allocations to GFP_NOIO
--- diff/drivers/md/kcopyd.c	2002-11-05 14:56:18.000000000 +0000
+++ source/drivers/md/kcopyd.c	2002-11-08 11:50:41.000000000 +0000
@@ -257,7 +257,7 @@
 {
 	struct kcopyd_job *job;
 
-	job = mempool_alloc(_job_pool, GFP_KERNEL);
+	job = mempool_alloc(_job_pool, GFP_NOIO);
 	if (!job)
 		return NULL;
 
@@ -613,7 +613,7 @@
 
 static inline struct copy_info *alloc_copy_info(void)
 {
-	return mempool_alloc(_copy_pool, GFP_KERNEL);
+	return mempool_alloc(_copy_pool, GFP_NOIO);
 }
 
 static inline void free_copy_info(struct copy_info *info)
